Subject: Re: [PATCH] tcp: fix ICMP-RTO war

From: Damian Lukowski <[email-masked]>
Date: Sat, 30 Jan 2010 14:56:37 +0100

> On Friday 29 January 2010 23:45:35 Damian Lukowski wrote:
>> Denys Fedoryshchenko schrieb:
>> > On Friday 29 January 2010 14:13:18 Damian Lukowski wrote:
>> >> Denys Fedoryshchenko schrieb:
>> >>> On Wednesday 27 January 2010 14:36:18 you wrote:
>> >>>> Unless they are for a different connection? We might have to print  
>> sk
>> >>>> (%p) in all those printouts to be sure which maps to which. If a  
>> peer
>> >>>> becomes unreachable, it may well have multiple connections open  
>> (this
>> >>>> was a proxy, iirc?).
>> >>>
>> >>> Ok i will try to do that today.
>> >>>
>> >>> Most probably different connections, on this proxy i have 10-15k
>> >>> established connections at peak time.
>> >
>> > http://www.nuclearcat.com/files/report1.txt
>> > http://www.nuclearcat.com/files/report2.txt
>> >
>> > Here with %p and sk.
>>
>> Ok, thanks for testing.
>> So it is ec0f3440 causing the trouble. Are there still objections
>> on the lower bound check in __tcp_set_rto()? Well, I will submit
>> an updated patch and you can make comments there.
> There is another sk also. I can catch for more time - there is many  
> different
> pointers to sk appearing (but not in same time, it is  rare case even  
> with my thousands of connections).

Hmm, I shouldn't have posted so late yesterday, as I forgot to CC
you and the others when submitting the patch, amongst the grammar error. :/
Can you test the patch in  
http://marc.info/?l=linux-netdev&m=126480336216898
please?

Damian